// CDOFCombineShader - [2020-04-13 11:57:46]
#ifndef _CDOFCOMBINESHADER_H_
#define _CDOFCOMBINESHADER_H_

#include "common.h"
#include "CFTTUberShader.h"

/*
001CF944 CDOFCombineShader::CDOFCombineShader()
001CF950 CDOFCombineShader::~CDOFCombineShader()
0018A298 CDOFCombineShader::SetSmall(CFTTTexParam)
0018A2AC CDOFCombineShader::SetLarge(CFTTTexParam)
001CF954 CDOFCombineShader::CreateMat()
*/

class CDOFCombineShader : public CFTTUberShader {
public:
  CDOFCombineShader();          // 001CF944
  ~CDOFCombineShader();         // 001CF950
  void SetSmall(CFTTTexParam);  // 0018A298
  void SetLarge(CFTTTexParam);  // 0018A2AC
  ushort CreateMat();           // 001CF954

  static CDOFCombineShader s_tInstance;  // 0047B6C4
};

#endif  //_CDOFCOMBINESHADER_H_